Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.tribes
Interface ChannelInterceptor.InterceptorEvent

All Known Implementing Classes:
  NonBlockingCoordinator.CoordinationEvent

Enclosing interface:
  ChannelInterceptor

    public static interface ChannelInterceptor.InterceptorEvent

Method Summary
`int` | `getEventType()`
`String` | `getEventTypeDesc()`
`ChannelInterceptor` | `getInterceptor()`

Method Detail

### getEventType

    int getEventType()

### getEventTypeDesc

    String getEventTypeDesc()

### getInterceptor

    ChannelInterceptor getInterceptor()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.